<?php

include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');

//crear
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('');
$pdf->SetTitle('');
$pdf->SetSubject('');
$pdf->SetKeywords('');

$pdf->setLanguageArray($l);

$pdf->AddPage();


$pdf->SetFont('helvetica', 'B', 20);

$cedula=$_GET['cedula'];

$currentdate = date("jnyhis",time());
list($usecs,$secs) = microtime();
  $llave="{$currentdate}{$usecs}";
    $fecha=date("d-m-Y");
$style = array(
	'position' => 'R',
	'align' => 'C',
	'stretch' => false,
	'fitwidth' => true,
	'cellfitalign' => '',
	//'border' => true,
	'padding' => 'auto',
	'fgcolor' => array(0,0,0),
	'bgcolor' => false, //array(255,255,255),
	'text' => true,
	'font' => 'helvetica',
	'fontsize' => 8,
	//'stretchtext' => 4
);

$html2 = '
<table width="556" border="0">
  <tr>
    <td width="350">     IUPSM BARINAS<BR>
    SOLUCIONES INTEGRALES - SERVICIOS INTEGRALES<BR>
    SISTEMA DE NOMINA V1.0<BR></td>
    <td width="171"><center>CODIGO:&nbsp; '.$llave.'</center></td>
    <td width="278" align="right"></td>
  </tr>
</table>
';

$consulta=mysql_query("select * from detalle_prenomina where cedula_empleado='$cedula'");
$row=mysql_fetch_array($consulta);

	$consulta_empleado2=mysql_query("select * from prenomina where fecha='$fecha'");
	$vdatos2=mysql_fetch_array($consulta_empleado2);
	
	

	$consulta_empleado=mysql_query("select * from empleado where cedula='$cedula'");
	$vdatos=mysql_fetch_array($consulta_empleado);
	
		$consulta_empleado22=mysql_query("select * from departamentos where id='".$vdatos['id_departamento']."'");
	$vdatos222=mysql_fetch_array($consulta_empleado22);
	
		
		$consulta_empleado23=mysql_query("select * from cargos where id='".$vdatos['id_cargo']."'");
	$vdatos223=mysql_fetch_array($consulta_empleado23);
		
		$c22=mysql_query("select * from cargos where id='".$vdatos['id_cargo']."'");
	$vdatos22x=mysql_fetch_array($c22);

		$c222=mysql_query("select * from departamentos where id='".$vdatos['id_departamento']."'");
	$vdatos22x2=mysql_fetch_array($c222);
		
	$consulta_empleado233=mysql_query("select * from empleado_nomina where cedula_empleado='".$vdatos['cedula']."'");
	$vdatos2233=mysql_fetch_array($consulta_empleado233);
	
	$nomina=mysql_query("select * from nomina where id='".$vdatos2233['id_nomina']."'");
	$nomina_2=mysql_fetch_array($nomina);	
	
	$pagar_total=$vdatos223['monto']+$vdatos['sueldo'];

	
$html = '
<p align="center" ><u><i><font face="Arial" size="15"><b>CONSTANCIA DE TRABAJO</b></font></i></u></p><br><br>

<p align="justify" style="line-height: 150%"><i><font face="Arial">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Quien suscribe,<b> LCDA. COROMOTO GRATEROL</b> 
en mi condicion de <b>ADMINISTRADORA DEL DEPARTAMENTO DE TALENTO HUMANO (E) INSTITUTO POLITECNICO SANTIAGO MARI&Ntilde;O </b>, por medio de la presente hago constar que el(la)
 Ciudadano(a): <b>'.$vdatos['nombres'].' </b>, titular de la cedula de identidad N: <b>V-'.$vdatos['cedula'].' </b>,actualmente ocupa el cargo de <b>'.$vdatos22x['descripcion'].'</b>, adscrito(a)
al(la) <b>'.$vdatos22x2['descripcion'].'</b> siendo su fecha de ingreso al INSTITUTO POLITECNICO SANTIAGO MARI&Ntilde;O el <b>'.$vdatos['fecha_ini'].'</b>, </font></i></p>
<br>
';

// Obtenemos y traducimos el nombre del día
$dia=date("l");
if ($dia=="Monday") $dia="Lunes";
if ($dia=="Tuesday") $dia="Martes";
if ($dia=="Wednesday") $dia="Miércoles";
if ($dia=="Thursday") $dia="Jueves";
if ($dia=="Friday") $dia="Viernes";
if ($dia=="Saturday") $dia="Sabado";
if ($dia=="Sunday") $dia="Domingo";

// Obtenemos el número del día
$dia2=date("d");

// Obtenemos y traducimos el nombre del mes
$mes=date("F");
if ($mes=="January") $mes="Enero";
if ($mes=="February") $mes="Febrero";
if ($mes=="March") $mes="Marzo";
if ($mes=="April") $mes="Abril";
if ($mes=="May") $mes="Mayo";
if ($mes=="June") $mes="Junio";
if ($mes=="July") $mes="Julio";
if ($mes=="August") $mes="Agosto";
if ($mes=="September") $mes="Setiembre";
if ($mes=="October") $mes="Octubre";
if ($mes=="November") $mes="Noviembre";
if ($mes=="December") $mes="Diciembre";

// Obtenemos el año
$ano=date("Y");
$htmlsuledo= '
<p align="center" style="line-height: 150%"><b>SUELDO BASE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
'.$pagar_total.'</b></p>';





$html3 = '
<br>
<p align="justify" style="line-height: 150%"><i><font face="Arial">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Constancia que se expide a solicitud de la parte 
interesada, en Barinas a los '.$dia2.' dias del mes de '.$mes.' del '.$ano.' .</font></i></p>
';
$htmlfirma = '
<br>
<p align="center" style="line-height: 150%"><i><font face="Arial">Atentamente.</font></i></p>
<p align="center" style="line-height: 150%"><i><font face="Arial"><b> LCDA. COROMOTO GRATEROL</b></font></i></p>
<p align="center" style="line-height: 150%"><i><font face="Arial"><b>ADMINISTRADORA DEL DEPARTAMENTO DE TALENTO HUMANO(E).</b></font></i></p>
';
$currentdate = date("jnyhis",time());
list($usecs,$secs) = microtime();
  $llave="{$currentdate}{$usecs}";
    $fecha=date("d-m-Y");






// Estilo 
$pdf->SetFont('helvetica', '', 10);

// Imprimir contenido
$pdf->writeHTML($html2, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($htmlsuledo, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($htmlfirma, true, 0, true, true);
$pdf->Ln();

$pdf->write1DBarcode(''.$cedula.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();

// ---------------------------------------------------------

//Close and output PDF document
$pdf->Output('example_039.pdf', 'I');

//============================================================+
// END OF FILE                                                
//============================================================+
?>